// SPDX-License-Identifier: MIT
pragma solidity ^0.8.20;

import {Script,console} from "forge-std/Script.sol";
import "../src/WETH9.sol";

contract WETH9Script is Script {
    function setUp() public {}

    function run() public {
        uint256 privateKey = vm.envUint("DEPLOYMENT_PRIVATE_KEY");
        address account = vm.addr(privateKey);
        console.log("Deployment Account : ", account);

        vm.broadcast(privateKey);
        WETH9 weth = new WETH9();
        console.log("\n\tWETH9 Address: ", address(weth));
    }
}
